claw::graphic::pcx::writer Class Reference

This class write an image in a pcx file. More...

`#include <pcx.hpp>`

## Classes

class | file_output_buffer
| The type of the output buffer associated with the file when encoding RLE data. More...

## Public Types

typedef rle_encoder< file_output_buffer > | rle_pcx_encoder
| RLE encoder for pcx format.

## Public Member Functions

| writer (const image &img)
| Constructor.
| writer (const image &img, std::ostream &f)
| Constructor.
void | save (std::ostream &os) const
| Save the content of the image in a stream.

## Detailed Description

This class write an image in a pcx file.

Author
  Julien Jorge

Definition at line 303 of file pcx.hpp.

## Member Typedef Documentation

## rle_pcx_encoder

typedef rle_encoder<file_output_buffer> claw::graphic::pcx::writer::rle_pcx_encoder

RLE encoder for pcx format.

Author
  Julien Jorge

Definition at line 338 of file pcx.hpp.

## Constructor & Destructor Documentation

## writer() [1/2]

claw::graphic::pcx::writer::writer | ( | const image & | img | ) |

Constructor.

Parameters

  img | The image to save.

Definition at line 90 of file pcx_writer.cpp.

References claw::graphic::image::image().

## writer() [2/2]

claw::graphic::pcx::writer::writer | ( | const image & | img,
|  | std::ostream & | f )

Constructor.

Parameters

  img | The image to save.
  f | The file in which we save the data.

Definition at line 102 of file pcx_writer.cpp.

References claw::graphic::image::image(), and save().

## Member Function Documentation

## save()

void claw::graphic::pcx::writer::save | ( | std::ostream & | os | ) | const

Save the content of the image in a stream.

Parameters

  os | The stream in which we write.

Definition at line 113 of file pcx_writer.cpp.

Referenced by writer().

The documentation for this class was generated from the following files:

- pcx.hpp
- code/pcx_writer.cpp